Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class RepositoryConfiguration.TextExtracting

    java.lang.Object
      org.modeshape.jcr.RepositoryConfiguration.TextExtracting

Enclosing class:
  RepositoryConfiguration

    @Immutable
    public class RepositoryConfiguration.TextExtracting

extends Object

Constructor Summary
`RepositoryConfiguration.TextExtracting(Document textExtracting)`

Method Summary
`List<RepositoryConfiguration.Component>` | `getTextExtractors()` Get the ordered list of text extractors.
`String` | `getThreadPoolName()` Get the name of the thread pool that should be used for sequencing work.
`protected void` | `validateTextExtractors(Problems problems)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryConfiguration.TextExtracting

    public RepositoryConfiguration.TextExtracting(Document textExtracting)

Method Detail

### getThreadPoolName

    public String getThreadPoolName()

  Get the name of the thread pool that should be used for sequencing work.

  Returns:
    the thread pool name; never null

### getTextExtractors

    public List<RepositoryConfiguration.Component> getTextExtractors()

  Get the ordered list of text extractors. All text extractors are configured with this list.

  Returns:
    the immutable list of text extractors; never null but possibly empty

### validateTextExtractors

    protected void validateTextExtractors(Problems problems)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.